booster::streambuf Class Reference

this is an implementation of generic streambuffer More...

`#include <booster/booster/streambuf.h>`

Inheritance diagram for booster::streambuf:

## Public Member Functions

| streambuf ()
void | device (std::auto_ptr< io_device > d)
void | device (io_device &d)
void | reset_device ()
io_device & | device ()
void | set_buffer_size (size_t n)

## Protected Member Functions

virtual std::streampos | seekoff (std::streamoff off, std::ios_base::seekdir way, std::ios_base::openmode m=std::ios_base::in|std::ios_base::out)
virtual std::streampos | seekpos (std::streampos pos, std::ios_base::openmode m=std::ios_base::in|std::ios_base::out)
virtual int | underflow ()
virtual int | pbackfail (int c=EOF)
virtual int | overflow (int c=EOF)
virtual int | sync ()

## Detailed Description

this is an implementation of generic streambuffer

## Constructor & Destructor Documentation

booster::streambuf::streambuf | ( |  | ) |

Create a new stream buffer - without a stream

## Member Function Documentation

void booster::streambuf::device | ( | std::auto_ptr< io_device > | d | ) |

Assign an io_device to the streambuf transferring an ownership on it

void booster::streambuf::device | ( | io_device & | d | ) |

Assign an existing io_device to the streambuf.

io_device& booster::streambuf::device | ( |  | ) |

Get the io_device that is in use

void booster::streambuf::reset_device | ( |  | ) |

Detach currently attached io_device from the streambuf. If it is owned, it is destroyed.

void booster::streambuf::set_buffer_size | ( | size_t | n | ) |

Set the size of the internal buffer that is used for read and write operations. Default is 1024 bytes for each direction

The documentation for this class was generated from the following file:

- booster/streambuf.h